Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.admin
Class AdminResourceSystemException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--com.bea.p13n.exceptions.SystemException
                              |
                              +--com.bea.portal.admin.AdminResourceSystemException

All Implemented Interfaces:
  Serializable

public class AdminResourceSystemException
extends SystemException

SystemException thrown by the AdminResourceManager EJB

See Also:
  `SystemException`, Serialized Form

Constructor Summary
`AdminResourceSystemException()`
`AdminResourceSystemException(String message)` Constructor
`AdminResourceSystemException(String message, Throwable t)` Constructor
`AdminResourceSystemException(Throwable t)` Constructor

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AdminResourceSystemException

    public AdminResourceSystemException()

### AdminResourceSystemException

    public AdminResourceSystemException(String message)

  Constructor

Parameters:
  `message` - String representing the Exception message

### AdminResourceSystemException

    public AdminResourceSystemException(String message,
                                        Throwable t)

  Constructor

Parameters:
  `message` - String representing the Exception message
  `t` - Throwable object representing the wrapped or chained exception

### AdminResourceSystemException

    public AdminResourceSystemException(Throwable t)

  Constructor

Parameters:
  `t` - Throwable object representing the wrapped or chained exception

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved